org.richfaces.renderkit

## Class AbstractTableRenderer.SimpleHeaderEncodeStrategy

- java.lang.Object
- - org.richfaces.renderkit.AbstractTableRenderer.SimpleHeaderEncodeStrategy

- All Implemented Interfaces:
    EncodeStrategy
  Enclosing class:
    AbstractTableRenderer

      protected class AbstractTableRenderer.SimpleHeaderEncodeStrategy
      extends Object
      implements EncodeStrategy

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleHeaderEncodeStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent column, Object[] params)`
    `void` | `end(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent column, Object[] params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleHeaderEncodeStrategy

          protected SimpleHeaderEncodeStrategy()

  - ### Method Detail

    - #### begin

          public void begin(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent column,
                            Object[] params)
                     throws IOException

      Specified by:
        `begin` in interface `EncodeStrategy`
      Throws:
        `IOException`

    - #### end

          public void end(javax.faces.context.ResponseWriter writer,
                          javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent column,
                          Object[] params)
                   throws IOException

      Specified by:
        `end` in interface `EncodeStrategy`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.